name = "CTBenchmarks"
uuid = "db1dffaa-5ed3-4583-9a66-b5881c82ef11"
version = "0.4.1"
authors = ["Olivier Cots <olivier.cots@toulouse-inp.fr>"]

[deps]
BenchmarkTools = "6e4b80f9-dd63-53aa-95a3-0cdb28fa8baf"
CTBase = "54762871-cc72-4466-b8e8-f6c8b58076cd"
CUDA = "052768ef-5323-5732-b1bb-66c8b64840ba"
DataFrames = "a93c6f00-e57d-5684-b7b6-d8193f3e46c0"
Dates = "ade2ca70-3891-5945-98fb-dc099432e06a"
DocStringExtensions = "ffbed154-4ef7-542d-bbb7-c09d3a79fcae"
InteractiveUtils = "b77e0a4c-d291-57a0-90e8-8db25a27a240"
Ipopt = "b6b21f68-93f8-5de0-b562-5493be1d77c9"
JSON = "682c06a0-de6a-54ab-a142-c8b1cf79cde6"
JuMP = "4076af6c-e467-56ae-b986-b466b2749572"
MadNLPGPU = "d72a61cc-809d-412f-99be-fd81f4b8a598"
MadNLPMumps = "3b83494e-c0a4-4895-918b-9157a7a085a1"
NLPModelsIpopt = "f4238b75-b362-5c4c-b852-0801c9a21d71"
OptimalControl = "5f98b655-cc9a-415a-b60e-744165666948"
OptimalControlProblems = "59046045-fb9c-4c23-964f-ff0a25704f96"
Pkg = "44cfe95a-1eb2-52ea-b672-e2afdf69b78f"
Plots = "91a5bcdd-55d7-5caf-9e0b-520d859cae80"
Printf = "de0858da-6303-5e67-8744-51eddeeeb8d7"
Sockets = "6462fe0b-24de-5631-8697-dd941f90decc"
Statistics = "10745b16-79ce-11e8-11f9-7d13ad32a3b2"
Tables = "bd369af6-aec1-5ad0-b16a-f7cc5008161c"

[compat]
BenchmarkTools = "1"
CTBase = "0.16"
CUDA = "5"
DataFrames = "1"
Dates = "1"
DocStringExtensions = "0.9"
InteractiveUtils = "1"
Ipopt = "1"
JSON = "1"
JuMP = "1"
MadNLPGPU = "0.7"
MadNLPMumps = "0.5"
NLPModelsIpopt = "0.11"
OptimalControl = "=1.1.6"
OptimalControlProblems = "0.5"
Pkg = "1"
Plots = "1.41"
Printf = "1"
Sockets = "1"
Statistics = "1"
Tables = "1"
julia = "1.10"
